%define upstream_name	 CGI
%define upstream_version 3.63

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      1

Summary:    Simple Common Gateway Interface class for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://stein.cshl.org/WWW/software/CGI/
Source0:    http://search.cpan.org/CPAN/authors/id/L/LD/LDS/%{upstream_name}.pm-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FCGI) >= 0.670.0
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
This perl library uses perl5 objects to make it easy to create
Web fill-out forms and parse their contents.  This package
defines CGI objects, entities that contain the values of the
current query string and other state variables.  Using a CGI
object's methods, you can examine keywords and parameters
passed to your script, and create forms whose initial values
are taken from the current query (thereby preserving state
information).

%package Fast
Group:      Development/Perl
Summary:    CGI Interface for Fast CGI
Requires:   %{name} = %{epoch}:%{version}
%description Fast
CGI::Fast is a subclass of the CGI object created by CGI.pm. It is
specialized to work well with the Open Market FastCGI standard, which
greatly speeds up CGI scripts by turning them into persistently running
server processes.  Scripts that perform time-consuming initialization
processes, such as loading large modules or opening persistent database
connections, will see large performance improvements.

%prep
%setup -q -n %{upstream_name}.pm-%{upstream_version}
perl -pi -e s,/usr/local/bin/perl,/usr/bin/perl, examples/*.{cgi,pl}
chmod 755 examples

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/CGI
%exclude %{perl_vendorlib}/CGI/Fast.pm
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*
%exclude %{_mandir}/man3/CGI::Fast.3pm.*

%files Fast
%{perl_vendorlib}/CGI/Fast.pm
%{_mandir}/man3/CGI::Fast.3pm.*

%changelog

* Wed Mar 27 2013 jquelin <jquelin> 1:3.630.0-3.mga3
+ Revision: 405458
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:3.630.0-2.mga3
+ Revision: 363442
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 jquelin <jquelin> 1:3.630.0-1.mga3
+ Revision: 322960
- update to 3.63

* Wed Nov 14 2012 jquelin <jquelin> 1:3.620.0-1.mga3
+ Revision: 317602
- update to 3.62

* Tue Nov 06 2012 jquelin <jquelin> 1:3.610.0-1.mga3
+ Revision: 315067
- update to 3.61

* Mon Aug 27 2012 jquelin <jquelin> 1:3.600.0-1.mga3
+ Revision: 284577
- update to 3.60

* Thu Apr 26 2012 jquelin <jquelin> 1:3.590.0-2.mga2
+ Revision: 233351
- fix examples perms (mga#5621)

* Wed Jan 04 2012 jquelin <jquelin> 1:3.590.0-1.mga2
+ Revision: 190268
- update to 3.59

* Mon Nov 14 2011 jquelin <jquelin> 1:3.580.0-1.mga2
+ Revision: 167630
- update to 3.58

* Wed Jun 15 2011 jquelin <jquelin> 1:3.550.0-1.mga2
+ Revision: 106472
- update to 3.55

* Sat Feb 26 2011 jquelin <jquelin> 1:3.520.0-1.mga1
+ Revision: 60597
- update to 3.52

* Wed Jan 19 2011 jquelin <jquelin> 1:3.510.0-2.mga1
+ Revision: 24524
- rebuild
- fix specs

* Sun Jan 09 2011 jquelin <jquelin> 1:3.510.0-1.mga1
+ Revision: 2037
- imported package perl-CGI

